From 870ada7654c999cd9e4ea26c32633fc06a6274a8 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Sun, 1 Mar 2020 19:52:06 +0530
Subject: [PATCH 11/11] LCD 5 inch Kernel Configs

Change-Id: Ia1a6b4a134fcd986f0627d5c9c2b0b74484bbafc
---
 arch/arm/boot/dts/qcom/msm8909-mtp.dtsi | 53 ++++++++++++++++++++++++++-------
 drivers/input/touchscreen/gt9xx/gt9xx.c | 49 ++++++++++++++++--------------
 2 files changed, 68 insertions(+), 34 deletions(-)

diff --git a/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi b/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi
index 122f599..4ac6e73 100644
--- a/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi
+++ b/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi
@@ -69,25 +69,26 @@
 	};
 
 	i2c@78b9000 { /* BLSP1 QUP5 */
-/*		goodix@5d {
+		goodix@5d {
 			compatible = "goodix,gt9xx";
 			reg = <0x5d>;
 			interrupt-parent = <&msm_gpio>;
 			interrupts = <13 0x2008>;
 			reset-gpios = <&msm_gpio 12 0x0>;
 			interrupt-gpios = <&msm_gpio 13 0x2008>;
-			power-gpios = <&msm_gpio 23 0x0>;
+		/*	power-gpios = <&msm_gpio 23 0x0>;*/
 			vcc-i2c-supply = <&pm8909_l6>;
 			goodix,panel-coords = <0 0 719 1405>;
 			goodix,display-coords = <0 0 719 1279>;
 			goodix,button-map= <139 172 158>;
 			goodix,enable-power-off;
-			goodix,product-id = "9147";
+                        goodix,product-id = "911";
+	/*		goodix,product-id = "9147";*/
 			goodix,fw_name = "gtp_fw.bin";
 			pinctrl-names = "pmx_ts_active","pmx_ts_suspend";
 			pinctrl-0 = <&ts_int_active &ts_reset_active>;
 			pinctrl-1 = <&ts_int_suspend &ts_reset_suspend>;
-			goodix,cfg-data0 = [
+		/*	goodix,cfg-data0 = [
 			44 DA 02 05 05 05 35 C1 01 09
 			28 08 48 35 03 05 00 00 FF 7F
 			10 50 85 14 17 1A 14 92 00 0A
@@ -107,7 +108,28 @@
 			00 00 00 00 00 00 00 00 00 00
 			00 FF FF FF FF FF FF FF FF AF
 			FF FF FF FF 87 01
-			];
+			];*/
+                         goodix,cfg-data0 = [
+                        00 E0 01 56 03 0A 05 00 01 08
+                        28 05 50 32 03 05 00 00 00 00
+                        00 00 00 00 00 00 00 87 28 09
+                        17 15 31 0D 00 00 02 9B 03 25
+                        00 00 00 00 00 03 64 32 00 00
+                        00 0F 36 94 C5 02 07 00 00 04
+                        9B 11 00 7B 16 00 64 1C 00 50
+                        25 00 42 2F 00 42 00 00 00 00
+                        00 00 00 00 00 00 00 00 00 00
+                        00 00 00 00 00 00 00 00 00 00
+                        00 00 00 00 00 00 00 00 00 00
+                        00 00 12 10 0E 0C 0A 08 06 04
+                        02 FF FF FF FF FF 00 00 00 00
+                        00 00 00 00 00 00 00 00 00 00
+                        00 00 26 24 22 21 20 1F 1E 1D
+                        00 02 04 06 08 0A 0C FF FF FF
+                        FF FF FF FF FF FF FF FF 00 00
+                        00 00 00 00 00 00 00 00 00 00
+                        00 00 00 00 6C 01
+                        ];
 			goodix,have-touch-key;
 			goodix,driver-send-cfg;
 		};
@@ -118,14 +140,14 @@
 			interrupts = <13 0x2008>;
 			goodix,rst-gpio  = <&msm_gpio 12 0x0>;
 			goodix,irq-gpio = <&msm_gpio 13 0x2008>;
-			goodix,power-gpio = <&msm_gpio 23 0x0>;
+	/*		goodix,power-gpio = <&msm_gpio 23 0x0>;*/
 			//vdd_ana-supply = <&pm8909_l17>;
 			vcc_i2c-supply  = <&pm8909_l6>;
 			pinctrl-names = "pmx_ts_active","pmx_ts_suspend";
 			pinctrl-0 = <&ts_int_active &ts_reset_active>;
 			pinctrl-1 = <&ts_int_suspend &ts_reset_suspend>;
-		};*/
-      focaltech@38 {
+		};
+/*      focaltech@38 {
                                 compatible = "focaltech,fts";
                                 reg = <0x38>;
                                 interrupt-parent = <&msm_gpio>;
@@ -158,7 +180,7 @@
                                 focaltech,fw-delay-readid-ms = <10>;
                                 focaltech,fw-delay-era-flsh-ms = <2000>;
 
-                };
+                };*/
 
 
 	};
@@ -667,6 +689,7 @@ audio_codec_mtp: sound {
 #include "dsi-panel-ili9881c-720p-video.dtsi"
 #include "dsi-panel-hx8394f-720p-video.dtsi"
 #include "dsi-panel-ili9488c-720p-cmd.dtsi"
+#include "dsi-panel-ili9806e-fwvga-video.dtsi"
 &mdss_mdp {
 	qcom,mdss-pref-prim-intf = "dsi";
 };
@@ -733,6 +756,14 @@ audio_codec_mtp: sound {
         qcom,mdss-dsi-pwm-gpio = <&pm8909_mpps 2 0>;
         qcom,cont-splash-enabled;
 };
+&dsi_ili9806e_fwvga_video {
+        qcom,mdss-dsi-bl-pmic-control-type = "bl_ctrl_pwm";
+       /* qcom,mdss-dsi-bl-pmic-pwm-frequency = <980>;*/
+        qcom,mdss-dsi-bl-pmic-pwm-frequency = <100>;
+        qcom,mdss-dsi-bl-pmic-bank-select = <0>;
+        qcom,mdss-dsi-pwm-gpio = <&pm8909_mpps 2 0>;
+        qcom,cont-splash-enabled;
+};
 &pmx_mdss {
 	qcom,num-grp-pins = <2>;
 	qcom,pins = <&gp 25>, <&gp 95>;
@@ -744,8 +775,8 @@ audio_codec_mtp: sound {
 };
 
 &mdss_dsi0 {
-/*	qcom,dsi-pref-prim-pan = <&dsi_ili9881c_720p_video>;*/
-        qcom,dsi-pref-prim-pan = <&dsi_ili9488c_720p_cmd>;
+	qcom,dsi-pref-prim-pan = <&dsi_ili9806e_fwvga_video>;
+/*        qcom,dsi-pref-prim-pan = <&dsi_ili9488c_720p_cmd>;*/
 	pinctrl-names = "mdss_default", "mdss_sleep";
 	pinctrl-0 = <&mdss_dsi_active &mdss_te_active>;
 	pinctrl-1 = <&mdss_dsi_suspend &mdss_te_suspend>;
diff --git a/drivers/input/touchscreen/gt9xx/gt9xx.c b/drivers/input/touchscreen/gt9xx/gt9xx.c
index 9b9dd0c..3aca45f 100644
--- a/drivers/input/touchscreen/gt9xx/gt9xx.c
+++ b/drivers/input/touchscreen/gt9xx/gt9xx.c
@@ -1140,7 +1140,7 @@ static int gtp_request_io_port(struct goodix_ts_data *ts)
 		ret = -EINVAL;
 		goto err_free_irq_gpio;
 	}
-
+#if 0
 	if (gpio_is_valid(pdata->power_gpio)) {
 		ret = gpio_request(pdata->power_gpio, "goodix_power_en_gpio");
 		if (ret) {
@@ -1161,6 +1161,7 @@ static int gtp_request_io_port(struct goodix_ts_data *ts)
 		ret = -EINVAL;
 		goto err_free_reset_gpio;
 	}
+#endif
 	/* IRQ GPIO is an input signal, but we are setting it to output
 	  * direction and pulling it down, to comply with power up timing
 	  * requirements, mentioned in power up timing section of device
@@ -1174,15 +1175,15 @@ static int gtp_request_io_port(struct goodix_ts_data *ts)
 	if (ret)
 		dev_warn(&client->dev,
 			"pull down reset gpio failed\n");
-	ret = gpio_direction_output(pdata->power_gpio, 1);
-	if (ret)
-		dev_warn(&client->dev,
-			"pull up power gpio failed\n");
+//	ret = gpio_direction_output(pdata->power_gpio, 1);
+//	if (ret)
+//		dev_warn(&client->dev,
+//			"pull up power gpio failed\n");
 
 	return ret;
-err_free_power_gpio:
-	if (gpio_is_valid(pdata->power_gpio))
-		gpio_free(pdata->power_gpio);
+//err_free_power_gpio:
+//	if (gpio_is_valid(pdata->power_gpio))
+//		gpio_free(pdata->power_gpio);
 err_free_reset_gpio:
 	if (gpio_is_valid(pdata->reset_gpio))
 		gpio_free(pdata->reset_gpio);
@@ -1392,11 +1393,11 @@ static int goodix_power_on(struct goodix_ts_data *ts)
 			}
 	}
     /*kyle:add 20170701*/
-    if (gpio_is_valid(ts->pdata->power_gpio)) {
-        gpio_set_value_cansleep(ts->pdata->power_gpio, 1);
-    }
+//    if (gpio_is_valid(ts->pdata->power_gpio)) {
+  //      gpio_set_value_cansleep(ts->pdata->power_gpio, 1);
+    //}
 
-	ts->power_on = true;
+//	ts->power_on = true;
 	return 0;
 
 err_enable_vcc_i2c:
@@ -1425,6 +1426,7 @@ err_set_opt_avdd:
  *
  * Returns zero on success, else an error.
  */
+#if 1
 static int goodix_power_off(struct goodix_ts_data *ts)
 {
 	int ret;
@@ -1434,7 +1436,6 @@ static int goodix_power_off(struct goodix_ts_data *ts)
 				"Device already power off\n");
 		return 0;
 	}
-
 	if (!IS_ERR(ts->vcc_i2c)) {
 		ret = regulator_set_voltage(ts->vcc_i2c, 0,
 			GOODIX_I2C_VTG_MAX_UV);
@@ -1467,14 +1468,15 @@ static int goodix_power_off(struct goodix_ts_data *ts)
 				"Regulator avdd disable failed ret=%d\n", ret);
 	}
     /*kyle:add 20170701*/
-    if (gpio_is_valid(ts->pdata->power_gpio)) {
-        gpio_set_value_cansleep(ts->pdata->power_gpio, 0);
-    }
+//    if (gpio_is_valid(ts->pdata->power_gpio)) {
+  //      gpio_set_value_cansleep(ts->pdata->power_gpio, 0);
+   // }
 
-	ts->power_on = false;
+//	ts->power_on = false;
 	return 0;
 }
 
+#endif
 /**
  * goodix_power_init - Initialize device power
  * @ts: driver private data
@@ -1517,6 +1519,7 @@ static int goodix_power_init(struct goodix_ts_data *ts)
  */
 static int goodix_power_deinit(struct goodix_ts_data *ts)
 {
+	printk("sankar \n\n\n\n");
 	if(!IS_ERR(ts->vdd)){
 		regulator_put(ts->vdd);
 	}
@@ -1911,10 +1914,10 @@ static int goodix_parse_dt(struct device *dev,
 	if (pdata->irq_gpio < 0)
 		return pdata->irq_gpio;
 
-	pdata->power_gpio= of_get_named_gpio_flags(np, "power-gpios",
-				0, &pdata->power_gpio_flags);
-	if (pdata->power_gpio < 0)
-		return pdata->power_gpio;
+//	pdata->power_gpio= of_get_named_gpio_flags(np, "power-gpios",
+//				0, &pdata->power_gpio_flags);
+//	if (pdata->power_gpio < 0)
+//		return pdata->power_gpio;
 
 	rc = of_property_read_string(np, "goodix,product-id",
 						&pdata->product_id);
@@ -2248,8 +2251,8 @@ exit_free_io_port:
 		gpio_free(pdata->reset_gpio);
 	if (gpio_is_valid(pdata->irq_gpio))
 		gpio_free(pdata->irq_gpio);
-	if (gpio_is_valid(pdata->power_gpio))
-		gpio_free(pdata->power_gpio);
+//	if (gpio_is_valid(pdata->power_gpio))
+//		gpio_free(pdata->power_gpio);
 exit_free_client_data:
 	i2c_set_clientdata(client, NULL);
 	return ret;
-- 
2.7.4

